﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq

@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Liên hệ";
    ViewData["MetaDescription"] = "Liên hệ";
    ViewData["MetaKeyword"] = "Liên hệ";
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/static-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/static-page.js"></script>
    <script src="https://www.google.com/recaptcha/api.js" defer></script>
    <script>
        $(document).ready(function () {
            $(".nav li[data-id='contact-us']").addClass("active");
        })
 </script>
}
<main id="static-page">
    <h1 class="hidden">@ViewData["MetaTitle"]</h1>
   
    <div id="contact">
        <div class="section-header p-2 container">
            <h5 class="h4 title text-left text-black text-semibold text-uppercase">Liên hệ</h5>
        </div>
        <div class="section-body container p-top-3">
            <div class="row">
                <div class="col-md-6 col-sm-12">   
                    <form action="/contact-us/submitform" method="post" onsubmit="return false; submitcontact();" id="Contact-form">
                        <div class="error-lst alert-danger" style="display: none">
                            <ul></ul>
                        </div>
                        <div class="form-group">
                            <div class="name">Họ và tên <span>*</span></div>
                            <input type="text" class="form-control" placeholder="Họ và tên" name="name">
                        </div>
                        <div class="form-group">
                            <div class="name">Email <span>*</span></div>
                            <input type="text" class="form-control" placeholder="Email" name="email">
                        </div>
                        <div class="form-group">
                            <div class="name">Số điện thoại</div>
                            <input type="text" class="form-control" placeholder="Số điện thoại" name="phonenumber">
                        </div>
                        <div class="form-group">
                            <div class="name">Nội dung <span>*</span></div>
                            <textarea class="form-control" placeholder="Nội dung" name="body"></textarea>
                        </div>
                        <div class="g-recaptcha" style="margin: 0 auto;width: 304px;" data-sitekey="@(globalConfig.GlobalWebSetting["WebsiteConfig"]["GcaptchaPublic"])"></div>
                        <div class="btn-container p-top-4" style="position:relative;z-index:99">
                            <a href="javascript:;" onclick="submitcontact('#Contact-form')" style="display:block" class="btn btn-primary text-uppercase">Liên hệ</a>
                        </div>
                        <input type="hidden" name="title" value="Liên hệ">
                        <input type="hidden" name="type" value="contact">
                    </form>
                </div>
                <div class="col-md-6 col-sm-12">
                    <div class="text-container">
                        <h4 class="h3 title">
                            @globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteName"]
                        </h4>
                        <div class="info-container p-2">
                            <div class="text-bold p-1"><span class="ecs-location"></span> Địa chỉ</div>
                            <div>@Html.Raw(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteAddress"])</div>
                            <div class="text-bold p-1"><span class="ecs-phone"></span> Điện thoại</div>
                            <div><a href="tel:@((globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"]).ToString().Replace("-",""))">@globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"]</a></div>
                            <div class="text-bold p-1"><span class="ecs-mail"></span> Email</div>
                            <div><a href="mailto:@globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteEmail"]">@globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteEmail"]</a></div>
                        </div>
                        <div class="google-container">
                            @(Html.Raw(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteGoogleMap"]))
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-footer container p-4">

        </div>
    </div>
</main>